diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/widgets.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/widgets.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/widgets.php	2012-10-04 15:00:16.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/widgets.php	2013-05-19 07:32:20.000000000 -0500
***************
*** 71,83 ****
  	// Functions you'll need to call.
  
  	/**
- 	 * PHP4 constructor
- 	 */
- 	function WP_Widget( $id_base = false, $name, $widget_options = array(), $control_options = array() ) {
- 		WP_Widget::__construct( $id_base, $name, $widget_options, $control_options );
- 	}
- 
- 	/**
  	 * PHP5 constructor
  	 *
  	 * @param string $id_base Optional Base ID for the widget, lower case,
--- 71,76 ----
***************
*** 90,96 ****
  	 *	 - width: required if more than 250px
  	 *	 - height: currently not used but may be needed in the future
  	 */
! 	function __construct( $id_base = false, $name, $widget_options = array(), $control_options = array() ) {
  		$this->id_base = empty($id_base) ? preg_replace( '/(wp_)?widget_/', '', strtolower(get_class($this)) ) : strtolower($id_base);
  		$this->name = $name;
  		$this->option_name = 'widget_' . $this->id_base;
--- 83,89 ----
  	 *	 - width: required if more than 250px
  	 *	 - height: currently not used but may be needed in the future
  	 */
! 	function __construct( $id_base, $name, $widget_options = array(), $control_options = array() ) {
  		$this->id_base = empty($id_base) ? preg_replace( '/(wp_)?widget_/', '', strtolower(get_class($this)) ) : strtolower($id_base);
  		$this->name = $name;
  		$this->option_name = 'widget_' . $this->id_base;
***************
*** 99,104 ****
--- 92,104 ----
  	}
  
  	/**
+ 	 * PHP4 constructor
+ 	 */
+ 	function WP_Widget( $id_base, $name, $widget_options = array(), $control_options = array() ) {
+ 		WP_Widget::__construct( $id_base, $name, $widget_options, $control_options );
+ 	}
+ 
+ 	/**
  	 * Constructs name attributes for use in form() fields
  	 *
  	 * This function should be used in form() methods to create name attributes for fields to be saved by update()
***************
*** 509,542 ****
  /**
   * Builds the definition for a single sidebar and returns the ID.
   *
!  * The $args parameter takes either a string or an array with 'name' and 'id'
!  * contained in either usage. It will be noted that the values will be applied
!  * to all sidebars, so if creating more than one, it will be advised to allow
!  * for WordPress to create the defaults for you.
!  *
!  * Example for string would be <code>'name=whatever;id=whatever1'</code> and for
!  * the array it would be <code>array(
!  *    'name' => 'whatever',
!  *    'id' => 'whatever1')</code>.
!  *
!  * name - The name of the sidebar, which presumably the title which will be
!  *     displayed.
!  * id - The unique identifier by which the sidebar will be called by.
!  * before_widget - The content that will prepended to the widgets when they are
!  *     displayed.
!  * after_widget - The content that will be appended to the widgets when they are
!  *     displayed.
!  * before_title - The content that will be prepended to the title when displayed.
!  * after_title - the content that will be appended to the title when displayed.
!  *
!  * <em>Content</em> is assumed to be HTML and should be formatted as such, but
!  * doesn't have to be.
   *
   * @since 2.2.0
   * @uses $wp_registered_sidebars Stores the new sidebar in this array by sidebar ID.
   *
!  * @param string|array $args Builds Sidebar based off of 'name' and 'id' values
!  * @return string The sidebar id that was added.
   */
  function register_sidebar($args = array()) {
  	global $wp_registered_sidebars;
--- 509,553 ----
  /**
   * Builds the definition for a single sidebar and returns the ID.
   *
!  * Accepts either a string or an array and then parses that against a set
!  * of default arguments for the new sidebar. WordPress will automatically
!  * generate a sidebar ID and name based on the current number of registered
!  * sidebars if those arguments are not included.
!  *
!  * When allowing for automatic generation of the name and ID parameters, keep
!  * in mind that the incrementor for your sidebar can change over time depending
!  * on what other plugins and themes are installed.
!  *
!  * If theme support for 'widgets' has not yet been added when this function is
!  * called, it will be automatically enabled through the use of add_theme_support()
!  *
!  * Arguments passed as a string should be separated by '&':
!  *
!  *     e.g. 'name=Sidebar&id=my_prefix_sidebar'
!  *
!  * The same arguments passed as an array:
!  *
!  *     array(
!  *         'name' => 'Sidebar',
!  *         'id'   => 'my_prefix_sidebar',
!  *     )
!  *
!  * Arguments:
!  *     name          - The name or title of the sidebar displayed in the admin dashboard.
!  *     id            - The unique identifier by which the sidebar will be called.
!  *     before_widget - HTML content that will be prepended to each widget's HTML output
!  *                     when assigned to this sidebar.
!  *     after_widget  - HTML content that will be appended to each widget's HTML output
!  *                     when assigned to this sidebar.
!  *     before_title  - HTML content that will be prepended to the sidebar title when displayed.
!  *     after_title   - HTML content that will be appended to the sidebar title when displayed.
   *
   * @since 2.2.0
   * @uses $wp_registered_sidebars Stores the new sidebar in this array by sidebar ID.
+  * @uses add_theme_support() to ensure widget support has been added.
   *
!  * @param string|array $args Arguments for the sidebar being registered.
!  * @return string Sidebar ID added to $wp_registered_sidebars global.
   */
  function register_sidebar($args = array()) {
  	global $wp_registered_sidebars;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/wp-db.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/wp-db.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/wp-db.php	2013-06-21 13:41:52.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/wp-db.php	2013-07-29 13:15:31.000000000 -0500
***************
*** 442,456 ****
  	var $collate;
  
  	/**
- 	 * Whether to use mysql_real_escape_string
- 	 *
- 	 * @since 2.8.0
- 	 * @access public
- 	 * @var bool
- 	 */
- 	var $real_escape = false;
- 
- 	/**
  	 * Database Username
  	 *
  	 * @since 2.9.0
--- 442,447 ----
***************
*** 536,542 ****
  	function __construct( $dbuser, $dbpassword, $dbname, $dbhost ) {
  		register_shutdown_function( array( $this, '__destruct' ) );
  
! 		if ( WP_DEBUG )
  			$this->show_errors();
  
  		$this->init_charset();
--- 527,533 ----
  	function __construct( $dbuser, $dbpassword, $dbname, $dbhost ) {
  		register_shutdown_function( array( $this, '__destruct' ) );
  
! 		if ( WP_DEBUG && WP_DEBUG_DISPLAY )
  			$this->show_errors();
  
  		$this->init_charset();
***************
*** 640,654 ****
  	 * @param string   $charset The character set (optional)
  	 * @param string   $collate The collation (optional)
  	 */
! 	function set_charset($dbh, $charset = null, $collate = null) {
! 		if ( !isset($charset) )
  			$charset = $this->charset;
! 		if ( !isset($collate) )
  			$collate = $this->collate;
! 		if ( $this->has_cap( 'collation', $dbh ) && !empty( $charset ) ) {
! 			if ( function_exists( 'mysql_set_charset' ) && $this->has_cap( 'set_charset', $dbh ) ) {
  				mysql_set_charset( $charset, $dbh );
- 				$this->real_escape = true;
  			} else {
  				$query = $this->prepare( 'SET NAMES %s', $charset );
  				if ( ! empty( $collate ) )
--- 631,644 ----
  	 * @param string   $charset The character set (optional)
  	 * @param string   $collate The collation (optional)
  	 */
! 	function set_charset( $dbh, $charset = null, $collate = null ) {
! 		if ( ! isset( $charset ) )
  			$charset = $this->charset;
! 		if ( ! isset( $collate ) )
  			$collate = $this->collate;
! 		if ( $this->has_cap( 'collation' ) && ! empty( $charset ) ) {
! 			if ( function_exists( 'mysql_set_charset' ) && $this->has_cap( 'set_charset' ) ) {
  				mysql_set_charset( $charset, $dbh );
  			} else {
  				$query = $this->prepare( 'SET NAMES %s', $charset );
  				if ( ! empty( $collate ) )
***************
*** 856,879 ****
  	}
  
  	/**
! 	 * Weak escape, using addslashes()
  	 *
- 	 * @see addslashes()
  	 * @since 2.8.0
  	 * @access private
  	 *
  	 * @param string $string
  	 * @return string
  	 */
  	function _weak_escape( $string ) {
  		return addslashes( $string );
  	}
  
  	/**
! 	 * Real escape, using mysql_real_escape_string() or addslashes()
  	 *
  	 * @see mysql_real_escape_string()
- 	 * @see addslashes()
  	 * @since 2.8.0
  	 * @access private
  	 *
--- 846,874 ----
  	}
  
  	/**
! 	 * Do not use, deprecated.
! 	 *
! 	 * Use esc_sql() or wpdb::prepare() instead.
  	 *
  	 * @since 2.8.0
+ 	 * @deprecated 3.6.0
+ 	 * @see wpdb::prepare
+ 	 * @see esc_sql()
  	 * @access private
  	 *
  	 * @param string $string
  	 * @return string
  	 */
  	function _weak_escape( $string ) {
+ 		if ( func_num_args() === 1 && function_exists( '_deprecated_function' ) )
+ 			_deprecated_function( __METHOD__, '3.6', 'wpdb::prepare() or esc_sql()' );
  		return addslashes( $string );
  	}
  
  	/**
! 	 * Real escape, using mysql_real_escape_string()
  	 *
  	 * @see mysql_real_escape_string()
  	 * @since 2.8.0
  	 * @access private
  	 *
***************
*** 881,896 ****
  	 * @return string escaped
  	 */
  	function _real_escape( $string ) {
! 		if ( $this->dbh && $this->real_escape )
  			return mysql_real_escape_string( $string, $this->dbh );
! 		else
! 			return addslashes( $string );
  	}
  
  	/**
  	 * Escape data. Works on arrays.
  	 *
- 	 * @uses wpdb::_escape()
  	 * @uses wpdb::_real_escape()
  	 * @since  2.8.0
  	 * @access private
--- 876,892 ----
  	 * @return string escaped
  	 */
  	function _real_escape( $string ) {
! 		if ( $this->dbh )
  			return mysql_real_escape_string( $string, $this->dbh );
! 
! 		$class = get_class( $this );
! 		_doing_it_wrong( $class, "$class must set a database connection for use with escaping.", E_USER_NOTICE );
! 		return addslashes( $string );
  	}
  
  	/**
  	 * Escape data. Works on arrays.
  	 *
  	 * @uses wpdb::_real_escape()
  	 * @since  2.8.0
  	 * @access private
***************
*** 900,906 ****
  	 */
  	function _escape( $data ) {
  		if ( is_array( $data ) ) {
! 			foreach ( (array) $data as $k => $v ) {
  				if ( is_array($v) )
  					$data[$k] = $this->_escape( $v );
  				else
--- 896,902 ----
  	 */
  	function _escape( $data ) {
  		if ( is_array( $data ) ) {
! 			foreach ( $data as $k => $v ) {
  				if ( is_array($v) )
  					$data[$k] = $this->_escape( $v );
  				else
***************
*** 914,937 ****
  	}
  
  	/**
! 	 * Escapes content for insertion into the database using addslashes(), for security.
  	 *
! 	 * Works on arrays.
  	 *
  	 * @since 0.71
! 	 * @param string|array $data to escape
! 	 * @return string|array escaped as query safe string
  	 */
  	function escape( $data ) {
  		if ( is_array( $data ) ) {
! 			foreach ( (array) $data as $k => $v ) {
  				if ( is_array( $v ) )
! 					$data[$k] = $this->escape( $v );
  				else
! 					$data[$k] = $this->_weak_escape( $v );
  			}
  		} else {
! 			$data = $this->_weak_escape( $data );
  		}
  
  		return $data;
--- 910,939 ----
  	}
  
  	/**
! 	 * Do not use, deprecated.
  	 *
! 	 * Use esc_sql() or wpdb::prepare() instead.
  	 *
  	 * @since 0.71
! 	 * @deprecated 3.6.0
! 	 * @see wpdb::prepare()
! 	 * @see esc_sql()
! 	 *
! 	 * @param mixed $data
! 	 * @return mixed
  	 */
  	function escape( $data ) {
+ 		if ( func_num_args() === 1 && function_exists( '_deprecated_function' ) )
+ 			_deprecated_function( __METHOD__, '3.6', 'wpdb::prepare() or esc_sql()' );
  		if ( is_array( $data ) ) {
! 			foreach ( $data as $k => $v ) {
  				if ( is_array( $v ) )
! 					$data[$k] = $this->escape( $v, 'recursive' );
  				else
! 					$data[$k] = $this->_weak_escape( $v, 'internal' );
  			}
  		} else {
! 			$data = $this->_weak_escape( $data, 'internal' );
  		}
  
  		return $data;
***************
*** 987,999 ****
  	 * @return null|false|string Sanitized query string, null if there is no query, false if there is an error and string
  	 * 	if there was something to prepare
  	 */
! 	function prepare( $query, $args = null ) {
  		if ( is_null( $query ) )
  			return;
  
- 		if ( func_num_args() < 2 )
- 			_doing_it_wrong( 'wpdb::prepare', 'wpdb::prepare() requires at least two arguments.', '3.5' );
- 
  		$args = func_get_args();
  		array_shift( $args );
  		// If args were passed as an array (as in vsprintf), move them up
--- 989,998 ----
  	 * @return null|false|string Sanitized query string, null if there is no query, false if there is an error and string
  	 * 	if there was something to prepare
  	 */
! 	function prepare( $query, $args ) {
  		if ( is_null( $query ) )
  			return;
  
  		$args = func_get_args();
  		array_shift( $args );
  		// If args were passed as an array (as in vsprintf), move them up
***************
*** 1205,1210 ****
--- 1204,1213 ----
  
  		// If there is an error then take note of it..
  		if ( $this->last_error = mysql_error( $this->dbh ) ) {
+ 			// Clear insert_id on a subsequent failed insert.
+ 			if ( $this->insert_id && preg_match( '/^\s*(insert|replace)\s/i', $query ) )
+ 				$this->insert_id = 0;
+ 
  			$this->print_error();
  			return false;
  		}
***************
*** 1693,1704 ****
  	}
  
  	/**
! 	 * Determine if a database supports a particular feature
  	 *
  	 * @since 2.7.0
! 	 * @see   wpdb::db_version()
  	 *
! 	 * @param string $db_cap the feature
  	 * @return bool
  	 */
  	function has_cap( $db_cap ) {
--- 1696,1707 ----
  	}
  
  	/**
! 	 * Determine if a database supports a particular feature.
  	 *
  	 * @since 2.7.0
! 	 * @see wpdb::db_version()
  	 *
! 	 * @param string $db_cap The feature to check for.
  	 * @return bool
  	 */
  	function has_cap( $db_cap ) {
***************
*** 1706,1716 ****
  
  		switch ( strtolower( $db_cap ) ) {
  			case 'collation' :    // @since 2.5.0
! 			case 'group_concat' : // @since 2.7
! 			case 'subqueries' :   // @since 2.7
  				return version_compare( $version, '4.1', '>=' );
  			case 'set_charset' :
! 				return version_compare($version, '5.0.7', '>=');
  		};
  
  		return false;
--- 1709,1719 ----
  
  		switch ( strtolower( $db_cap ) ) {
  			case 'collation' :    // @since 2.5.0
! 			case 'group_concat' : // @since 2.7.0
! 			case 'subqueries' :   // @since 2.7.0
  				return version_compare( $version, '4.1', '>=' );
  			case 'set_charset' :
! 				return version_compare( $version, '5.0.7', '>=' );
  		};
  
  		return false;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/wp-diff.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/wp-diff.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/wp-diff.php	2012-10-04 15:00:16.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/wp-diff.php	2013-05-07 15:34:58.000000000 -0500
***************
*** 60,65 ****
--- 60,74 ----
  	var $inline_diff_renderer = 'WP_Text_Diff_Renderer_inline';
  
  	/**
+ 	 * Should we show the split view or not
+ 	 *
+ 	 * @var string
+ 	 * @access protected
+ 	 * @since 3.6.0
+ 	 */
+ 	var $_show_split_view = true;
+ 
+ 	/**
  	 * Constructor - Call parent constructor with params array.
  	 *
  	 * This will set class properties based on the key value pairs in the array.
***************
*** 70,75 ****
--- 79,86 ----
  	 */
  	function __construct( $params = array() ) {
  		parent::__construct( $params );
+ 		if ( isset( $params[ 'show_split_view' ] ) )
+ 			$this->_show_split_view = $params[ 'show_split_view' ];
  	}
  
  	/**
***************
*** 98,104 ****
  	 * @return string
  	 */
  	function addedLine( $line ) {
! 		return "<td>+</td><td class='diff-addedline'>{$line}</td>";
  	}
  
  	/**
--- 109,116 ----
  	 * @return string
  	 */
  	function addedLine( $line ) {
! 		return "<td class='diff-addedline'>{$line}</td>";
! 
  	}
  
  	/**
***************
*** 108,114 ****
  	 * @return string
  	 */
  	function deletedLine( $line ) {
! 		return "<td>-</td><td class='diff-deletedline'>{$line}</td>";
  	}
  
  	/**
--- 120,126 ----
  	 * @return string
  	 */
  	function deletedLine( $line ) {
! 		return "<td class='diff-deletedline'>{$line}</td>";
  	}
  
  	/**
***************
*** 118,124 ****
  	 * @return string
  	 */
  	function contextLine( $line ) {
! 		return "<td> </td><td class='diff-context'>{$line}</td>";
  	}
  
  	/**
--- 130,136 ----
  	 * @return string
  	 */
  	function contextLine( $line ) {
! 		return "<td class='diff-context'>{$line}</td>";
  	}
  
  	/**
***************
*** 127,133 ****
  	 * @return string
  	 */
  	function emptyLine() {
! 		return '<td colspan="2">&nbsp;</td>';
  	}
  
  	/**
--- 139,145 ----
  	 * @return string
  	 */
  	function emptyLine() {
! 		return '<td>&nbsp;</td>';
  	}
  
  	/**
***************
*** 143,149 ****
  		foreach ($lines as $line) {
  			if ( $encode )
  				$line = htmlspecialchars( $line );
! 			$r .= '<tr>' . $this->emptyLine() . $this->addedLine( $line ) . "</tr>\n";
  		}
  		return $r;
  	}
--- 155,165 ----
  		foreach ($lines as $line) {
  			if ( $encode )
  				$line = htmlspecialchars( $line );
! 			if ( $this->_show_split_view ) {
! 				$r .= '<tr>' . $this->emptyLine() . $this->emptyLine() . $this->addedLine( $line ) . "</tr>\n";
! 			} else {
! 				$r .= '<tr>' . $this->addedLine( $line ) . "</tr>\n";
! 			}
  		}
  		return $r;
  	}
***************
*** 161,167 ****
  		foreach ($lines as $line) {
  			if ( $encode )
  				$line = htmlspecialchars( $line );
! 			$r .= '<tr>' . $this->deletedLine( $line ) . $this->emptyLine() . "</tr>\n";
  		}
  		return $r;
  	}
--- 177,188 ----
  		foreach ($lines as $line) {
  			if ( $encode )
  				$line = htmlspecialchars( $line );
! 			if ( $this->_show_split_view ) {
! 				$r .= '<tr>' . $this->deletedLine( $line ) . $this->emptyLine() . $this->emptyLine() . "</tr>\n";
! 			} else {
! 				$r .= '<tr>' . $this->deletedLine( $line ) . "</tr>\n";
! 			}
! 
  		}
  		return $r;
  	}
***************
*** 179,186 ****
  		foreach ($lines as $line) {
  			if ( $encode )
  				$line = htmlspecialchars( $line );
! 			$r .= '<tr>' .
! 				$this->contextLine( $line ) . $this->contextLine( $line ) . "</tr>\n";
  		}
  		return $r;
  	}
--- 200,210 ----
  		foreach ($lines as $line) {
  			if ( $encode )
  				$line = htmlspecialchars( $line );
! 			if (  $this->_show_split_view ) {
! 				$r .= '<tr>' . $this->contextLine( $line ) . $this->emptyLine() . $this->contextLine( $line )  . "</tr>\n";
! 			} else {
! 				$r .= '<tr>' . $this->contextLine( $line ) . "</tr>\n";
! 			}
  		}
  		return $r;
  	}
***************
*** 264,270 ****
  			} elseif ( $final_rows[$row] < 0 ) { // Final is blank. This is really a deleted row.
  				$r .= $this->_deleted( array($orig_line), false );
  			} else { // A true changed row.
! 				$r .= '<tr>' . $this->deletedLine( $orig_line ) . $this->addedLine( $final_line ) . "</tr>\n";
  			}
  		}
  
--- 288,298 ----
  			} elseif ( $final_rows[$row] < 0 ) { // Final is blank. This is really a deleted row.
  				$r .= $this->_deleted( array($orig_line), false );
  			} else { // A true changed row.
! 				if ( $this->_show_split_view ) {
! 					$r .= '<tr>' . $this->deletedLine( $orig_line ) . $this->emptyLine() . $this->addedLine( $final_line ) . "</tr>\n";
! 				} else {
! 					$r .= '<tr>' . $this->deletedLine( $orig_line ) . "</tr><tr>" . $this->addedLine( $final_line ) . "</tr>\n";
! 				}
  			}
  		}
  
